GHSA-mq4x-r2w3-j7mr

Suggest an improvement
Source
https://github.com/advisories/GHSA-mq4x-r2w3-j7mr
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/03/GHSA-mq4x-r2w3-j7mr/GHSA-mq4x-r2w3-j7mr.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-mq4x-r2w3-j7mr
Aliases
Published
2024-03-11T21:25:52Z
Modified
2024-07-08T20:33:46Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:A/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:N CVSS Calculator
  • 7.1 (High) CVSS_V4 - CVSS:4.0/AV:N/AC:H/AT:N/PR:N/UI:P/VC:N/VI:H/VA:N/SC:H/SI:H/SA:N CVSS Calculator
Summary
Account Takeover via Session Fixation in Zitadel [Bypassing MFA]
Details

Impact

ZITADEL uses a cookie to identify the user agent (browser) and its user sessions.

Although the cookie was handled according to best practices, it was accessible on subdomains of the ZITADEL instance. An attacker could take advantage of this and provide a malicious link hosted on the subdomain to the user to gain access to the victim’s account in certain scenarios. A possible victim would need to login through the malicious link for this exploit to work.

If the possible victim already had the cookie present, the attack would not succeed. The attack would further only be possible if there was an initial vulnerability on the subdomain. This could either be the attacker being able to control DNS or a XSS vulnerability in an application hosted on a subdomain.

Patches

2.x versions are fixed on >= 2.46.0 2.45.x versions are fixed on >= 2.45.1 2.44.x versions are fixed on >= 2.44.3

ZITADEL recommends upgrading to the latest versions available in due course.

Note that applying the patch will invalidate the current cookie and thus users will need to start a new session and existing sessions (user selection) will be empty.

Workarounds

For self-hosted environments unable to upgrade to a patched version, prevent setting the following cookie name on subdomains of your ZITADEL instance (e.g. within your WAF): __Secure-zitadel-useragent

References

None

Questions

If you have any questions or comments about this advisory, please email us at security@zitadel.com

Credits

Thanks to Amit Laish – GE Vernova for finding and reporting the vulnerability.

References

Affected packages

Go / github.com/zitadel/zitadel

Package

Name
github.com/zitadel/zitadel
View open source insights on deps.dev
Purl
pkg:golang/github.com/zitadel/zitadel

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.44.3

Go / github.com/zitadel/zitadel

Package

Name
github.com/zitadel/zitadel
View open source insights on deps.dev
Purl
pkg:golang/github.com/zitadel/zitadel

Affected ranges

Type
SEMVER
Events
Introduced
2.45.0
Fixed
2.45.1